unit _PrjProcs;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, ComCtrls;

const
  _PrjCodeName = 'NRMGR';
  _PrjLogoCaption = 'Гречезавод';

  _PrjAlarmResetTagName = _PrjCodeName + '.BTN_Beep1_Input';
  _PrjStartAlarmBtnInputTagName = _PrjCodeName + '.BTN_Beep1_StartAlarm_Input';
  _PrjBeepControlTagName = _PrjCodeName + '.MCHB_Beep1_Control';


  procedure _PrjInitForms;
  procedure _PrjBeforeStart;
  procedure _PrjAfterStart;
  procedure _PrjBeforeStop;      
  procedure _PrjAfterStop;
  procedure _PrjOnTimer;


implementation
uses
  ScreenCmd,
  Screen_ZO,
  Screen_Othod,
  Screen_Propar,
  Screen_Sortirovka,
  Screen_Viboy,
  Screen_ConnectStatus,
  RpVisualMain,
  main;

////////////////////////////////////////////////////////////////////////////////
procedure _PrjInitForms;
begin
  _AddFormToPageControl(TScreenCmdForm, TForm(ScreenCmdForm), 'УПРАВЛЕНИЕ');
  _AddFormToPageControl(TScreen_OthodForm,  TForm(Screen_OthodForm),  'Отходы');
  _AddFormToPageControl(TScreen_ZOForm,  TForm(Screen_ZOForm),  'Зерноочистка');
  _AddFormToPageControl(TScreen_ProparForm,  TForm(Screen_ProparForm),  'Пропаривание');
  _AddFormToPageControl(TScreen_SortirovkaForm,  TForm(Screen_SortirovkaForm),  'Шелушение.Сортировка');
  _AddFormToPageControl(TScreen_ConnectStatusForm,  TForm(Screen_ConnectStatusForm),  'Подключение');

  Form1.Color := Screen_ZOForm.Color;

end;

////////////////////////////////////////////////////////////////////////////////
procedure _PrjBeforeStart;
begin
end;

////////////////////////////////////////////////////////////////////////////////
procedure _PrjAfterStart;
begin
end;

////////////////////////////////////////////////////////////////////////////////
procedure _PrjBeforeStop;
begin
end;

////////////////////////////////////////////////////////////////////////////////
procedure _PrjAfterStop;
begin
end;

////////////////////////////////////////////////////////////////////////////////
procedure _PrjOnTimer;
begin
end;



end.
